package com.sunwin.metro.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 规则对象
 *
 * @author kane
 * @date 2020/01/27
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DroolsRule implements Serializable {
    private static final long serialVersionUID = 8259501552136811964L;
    private String id;
    private String type;
    private String script;
    private String state;
}
