package com.sunwin.metro.governance.bean;

import com.alibaba.fastjson.JSONArray;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @program: data_governance
 * @description: 完整性
 * @author: xuYJ
 * @create: 2022-02-17 13:18
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Integrity {
    private String ruleId;
    private String type;
    private List<String> fields;
    private boolean flag;
    private String appType;

    @Override
    public String toString() {
        return "Integrity{" +
                "ruleId='" + ruleId + '\'' +
                ", type='" + type + '\'' +
                ", appType='" + appType + '\'' +
                ", fields=" + fields +
                '}';
    }
}
