package com.sunwin.metro.governance.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: data_governance
 * @description: 及时性
 * @author: xuYJ
 * @create: 2022-02-15 13:31
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Timeliness {
    private String ruleId;
    private String type;
    private int collectTime;
    private boolean flag;
    private String appType;

    @Override
    public String toString() {
        return "Timeliness{" +
                "ruleId='" + ruleId + '\'' +
                ", type='" + type + '\'' +
                ", appType='" + appType + '\'' +
                ", collectTime=" + collectTime +
                '}';
    }
}
