package com.sunwin.metro.governance.bean;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @program: data_governance
 * @description: 一致性
 * @author: xuYJ
 * @create: 2022-02-18 09:49
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Uniformity {
    private String ruleId;
    private String type;
    private List<JSONObject> fields;
    private boolean flag;
    private String appType;
    @Override
    public String toString() {
        return "Uniformity{" +
                "ruleId='" + ruleId + '\'' +
                ", type='" + type + '\'' +
                ", appType='" + appType + '\'' +
                ", fields=" + fields +
                '}';
    }
}
