package com.sunwin.metro.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @program: sunwin_metro
 * @description: 排热风机
 * @author: xuYJ
 * @create: 2021-11-16 15:27
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BasTvfMes implements Serializable {

    private String name;

    private String num;

    private String station;

    private String time;

    private Double ai_faxlet;

    private Double ai_x_vibr;

    private Double ai_y_vibr;

    private Boolean di_vfflt;

    private Boolean di_commokst;

    private Date eventTime;

    private String flag = "规则：";

    private String appType;

    @Override
    public String toString() {
        return "BasTvfMes{" +
                "name='" + name + '\'' +
                ", num=" + num +
                ", station='" + station + '\'' +
                ", time='" + time + '\'' +
                ", ai_faxlet=" + ai_faxlet +
                ", ai_x_vibr=" + ai_x_vibr +
                ", ai_y_vibr=" + ai_y_vibr +
                ", di_vfflt=" + di_vfflt +
                ", di_commokst=" + di_commokst +
                ", eventTime=" + eventTime +
                ", flag='" + flag + '\'' +
                '}';
    }
}
