package com.sunwin.metro.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @program: sunwin_metro
 * @description: 专门用来时序排序
 * @author: xuYJ
 * @create: 2021-11-26 16:57
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SortByValue implements Serializable {
    private Long time;
    private BigDecimal value;
    private String appType;
}
