package com.sunwin.metro.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @program: sunwin_metro
 * @description: 模拟 不间断电源 数据
 * @author: xuYJ
 * @create: 2021-11-16 15:27
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UpsMes implements Serializable {

    private String name;

    private String num;

    private String station;

    private String time;

    private Double dp29;

    private Double dp36;

    private Double dp32;

    private Boolean dp23;

    private Boolean dp30;

    private Date eventTime;

    private String flag="规则：" ;
    private String appType;
    @Override
    public String toString() {
        return "UpsMes{" +
                "name='" + name + '\'' +
                ", num=" + num +
                ", station='" + station + '\'' +
                ", time='" + time + '\'' +
                ", dp29=" + dp29 +
                ", dp36=" + dp36 +
                ", dp32=" + dp32 +
                ", dp23=" + dp23 +
                ", dp30=" + dp30 +
                ", eventTime=" + eventTime +
                ", flag='" + flag + '\'' +
                '}';
    }
}
