package com.sunwin.metro.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @program: sunwin_metro
 * @description: 模拟 不间断电源 数据
 * @author: xuYJ
 * @create: 2021-11-16 15:27
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UpsXjyMes implements Serializable {

    private String name;

    private String num;

    private String station;

    private String time;

    private Double wd;

    private Double zdl;

    private Double zdy;

    private Date eventTime;

    private String flag="规则：" ;

    private String appType;

    @Override
    public String toString() {
        return "UpsXjyMes{" +
                "name='" + name + '\'' +
                ", num=" + num +
                ", station='" + station + '\'' +
                ", time='" + time + '\'' +
                ", wd=" + wd +
                ", zdl=" + zdl +
                ", zdy=" + zdy +
                ", eventTime=" + eventTime +
                ", flag='" + flag + '\'' +
                '}';
    }
}
