package com.sunwin.metro.utils;

import org.apache.flink.api.java.functions.KeySelector;

import java.util.List;
import java.util.Map;

/**
 * @program: test_prometheus
 * @description: 根据keyword分组
 * @author: xuYJ
 * @create: 2022-01-25 09:28
 **/
public class MeterKey implements KeySelector<Map<String, List<String>>, String> {
    @Override
    public String getKey(Map<String, List<String>> value) throws Exception {
        return value.keySet().toString();
    }
}
